package com.mq.mylibrary.base;

import com.mq.mylibrary.CardData;

/**
 * 包名: com.mq.mylibrary.base
 * 类名: BaseCard
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/3/27 15:30
 * 更新人:
 * 更新时间: 2020/3/27 15:30
 * 更新说明:
 * 版本号: 1.0
 */
public interface BaseCard {

    /**
     * 开启
     */
    void open();

    /**
     * 关闭
     */
    void close();

    /**
     * 读卡
     */
    CardData readCard();

    /**
     * 写卡
     */
    String writeCard(String newCardInfo);

    /**
     * 清卡
     */
    String clearCard();
}
